package com_taovip.vsms_demo;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.apache.http.HttpResponse;
import org.apache.http.NameValuePair;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.HttpClient;
import org.apache.http.client.entity.UrlEncodedFormEntity;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.client.utils.URLEncodedUtils;
import org.apache.http.impl.client.HttpClients;
import org.apache.http.message.BasicNameValuePair;
import org.apache.http.util.EntityUtils;


/**
 * http工具类
 * 
 * @author luoyi
 *
 */
public class HttpUtils {

	
	protected static String query(String url, Map<String, Object> params) throws ClientProtocolException, IOException {
		String resp = postHttp(url, params);
		return resp;
	}
	
	protected static String postHttp(String url, Map<String, Object> params) throws ClientProtocolException, IOException {
		HttpClient client = HttpClients.createDefault();
		HttpPost post = new HttpPost(url);
//		post.setHeader("Content-Type", "application/json");

		List<NameValuePair> list = new ArrayList<NameValuePair>();
		for (Map.Entry<String, Object> e : params.entrySet()) {
			list.add(new BasicNameValuePair(e.getKey(), e.getValue().toString()));
		}
		
		//	追加参数
		post.setEntity(new UrlEncodedFormEntity(list));
		
		//	执行请求
		HttpResponse resp = client.execute(post);
		String respStr = EntityUtils.toString(resp.getEntity(), "utf-8");
		System.out.println("url:" + url + " resp:" + respStr);
		return respStr;
	}
	
    protected static String urlEncode(List<NameValuePair> param) {
        if (param == null) return "";
        return URLEncodedUtils.format(param, "UTF-8");
    }
}
